
From: "Antonino A. Daplas" <adaplas@hotpop.com>

From: Jim Hague

This is a bug in pm2fb.c exposed by recent changes to fbcon.

Signed-off-by: Antonino Daplas <adaplas@pol.net>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/video/pm2fb.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN drivers/video/pm2fb.c~pm2fb-x-and-vt-switching-crash-fix drivers/video/pm2fb.c
--- 25/drivers/video/pm2fb.c~pm2fb-x-and-vt-switching-crash-fix	2005-03-13 13:33:53.000000000 -0800
+++ 25-akpm/drivers/video/pm2fb.c	2005-03-13 13:33:53.000000000 -0800
@@ -747,7 +747,7 @@ static int pm2fb_set_par(struct fb_info 
 	}
 	if ((info->var.vmode & FB_VMODE_MASK)==FB_VMODE_DOUBLE)
 		video |= PM2F_LINE_DOUBLE;
-	if (info->var.activate==FB_ACTIVATE_NOW)
+	if ((info->var.activate & FB_ACTIVATE_MASK)==FB_ACTIVATE_NOW)
 		video |= PM2F_VIDEO_ENABLE;
 	par->video = video;
 
_
